Patch Subnet State

Patch Subnet State

Only Solution users, Container admins, and System admins can patch SubnetStates.

Request
URI
PATCH
https://{api_host}/container-service/api/resources/sub-networks/{id}
COPY
Path Parameters
string
id
Required

The id of the SubnetState


Request Body

The patch of the SubnetState

SubnetState of type(s) application/json
Required
{
    "documentExpirationTimeMicros": "string",
    "endpointLink": "string",
    "documentUpdateTimeMicros": "string",
    "subnetCIDR": "string",
    "supportPublicIpAddress": false,
    "documentSelfLink": "string",
    "tagLinks": [
        "string"
    ],
    "dnsServerAddresses": [
        "string"
    ],
    "domain": "string",
    "name": "string",
    "networkLink": "string",
    "zoneId": "string",
    "groupLinks": [
        "string"
    ],
    "tenantLinks": [
        "string"
    ],
    "id": "string",
    "gatewayAddress": "string",
    "defaultForZone": false,
    "dnsSearchDomains": [
        "string"
    ]
}
string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
endpointLink
Optional

endpointLink

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

string
subnetCIDR
Optional

subnetCIDR

object
customProperties
Optional

customProperties

boolean
supportPublicIpAddress
Optional

supportPublicIpAddress

string
documentSelfLink
Optional

documentSelfLink

array of string
tagLinks
Optional

tagLinks

array of string
dnsServerAddresses
Optional

dnsServerAddresses

string
domain
Optional

domain

string
name
Optional

name

string
networkLink
Optional

networkLink

string
zoneId
Optional

zoneId

array of string
groupLinks
Optional

groupLinks

array of string
tenantLinks
Optional

tenantLinks

string
id
Optional

id

string
gatewayAddress
Optional

gatewayAddress

boolean
defaultForZone
Optional

defaultForZone

array of string
dnsSearchDomains
Optional

dnsSearchDomains

Responses
200
Operation doesn't return any data structure